from ...vmagents.vmagent.vmagent import Vmagent
class Defender(Vmagent):
    def __init__(self, **kwargs):
        super().__init__(**kwargs,category='defender')

    
    def perform_defense(self):
        pass

    
    def list_defenses(self):
        pass

    class FirewallDefense:
        
        def __init__(self):
            pass

    class IDSDefense:
        
        def __init__(self):
            pass
